List prayer requests
curl --request GET \
--url https://api.humdov.app/v1/prayer-requests \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.humdov.app/v1/prayer-requests"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.humdov.app/v1/prayer-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.humdov.app/v1/prayer-requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.humdov.app/v1/prayer-requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.humdov.app/v1/prayer-requests")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.humdov.app/v1/prayer-requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"pagination": {
"next_cursor": "<string>",
"has_more": true
},
"data": [
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"sender": "<string>",
"sender_email": "<string>",
"sender_phone": "<string>",
"status": "pending",
"answered_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "not_found",
"message": "Member not found"
}
}{
"error": {
"code": "not_found",
"message": "Member not found"
}
}{
"error": {
"code": "not_found",
"message": "Member not found"
}
}{
"error": {
"code": "not_found",
"message": "Member not found"
}
}Prayer Requests
List prayer requests
GET
/
prayer-requests
List prayer requests
curl --request GET \
--url https://api.humdov.app/v1/prayer-requests \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.humdov.app/v1/prayer-requests"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.humdov.app/v1/prayer-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.humdov.app/v1/prayer-requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.humdov.app/v1/prayer-requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.humdov.app/v1/prayer-requests")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.humdov.app/v1/prayer-requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"pagination": {
"next_cursor": "<string>",
"has_more": true
},
"data": [
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"sender": "<string>",
"sender_email": "<string>",
"sender_phone": "<string>",
"status": "pending",
"answered_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "not_found",
"message": "Member not found"
}
}{
"error": {
"code": "not_found",
"message": "Member not found"
}
}{
"error": {
"code": "not_found",
"message": "Member not found"
}
}{
"error": {
"code": "not_found",
"message": "Member not found"
}
}Authorizations
Create a key from the Humdov dashboard's Developer API page. See the Authentication guide for scopes and lifecycle.
Query Parameters
Available options:
pending, answered, prayed Opaque pagination cursor from a previous response's pagination.next_cursor.
Page size. Default 25, max 100.
Required range:
x <= 100